#
# spec file for package rubygem-oauth
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-oauth
Version:        0.5.4
Release:        bp156.3.1
%define mod_name oauth
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        OAuth Core Ruby implementation
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
OAuth Core Ruby implementation.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="LICENSE README.rdoc" \
  -f

%gem_packages

%changelog
* Thu Dec 14 2017 coolo@suse.com
- updated to version 0.5.4
  no changelog found
* Tue May 30 2017 coolo@suse.com
- updated to version 0.5.3
  no changelog found
* Tue May 23 2017 coolo@suse.com
- updated to version 0.5.2
  no changelog found
* Wed Mar  2 2016 coolo@suse.com
- updated to version 0.5.1
  no changelog found
* Sun Feb 21 2016 coolo@suse.com
- updated to version 0.5.0
  HISTORY removed upstream
* Tue Sep  4 2012 coolo@suse.com
- updated to version 0.4.7
  * Fix merging paths if the path is not empty
  * Set a configurable timeout for all requests (Rick Olson)
  * Fix nested hash params in Consumer#request (Ernie Miller)
* Wed Aug  1 2012 coolo@suse.com
- updated to version 0.4.6
* Fri Oct  7 2011 fcastelli@suse.com
- Added 'Provides' statement
* Tue Aug  2 2011 fcastelli@novell.com
- Upgrade to version 0.4.5
  * Add explicit require for rsa/sha1 (Juris Galang)
  * Use webmock to mock all http-requests in tests (Adrian Feldman)
  * Add gemtest support (Adrian Feldman)
  * Fix POST Requests with Typhoeus proxy (niedhui)
  * Mention Typhoeus require in the README (Kim Ahlström)
  * Fix incorrect hardcoded port (Ian Taylor)
  * Use Net::HTTPGenericRequest (Jakub Kuźma)
  * Fix LoadError rescue in tests: return can't be used in this context (Hans de Graaff)
  * HTTP headers should be strings. (seancribbs)
  * ensure consumer uri gets set back to original config even if an error occurs (Brian Finney)
  * Yahoo uses & to split records in OAuth headers (Brian Finney)
  * Added support for Rails 3 in client/action_controller_request (Pelle)
  * Fix for em-http proxy (ichverstehe)
  * Fixed compatibility with Ruby 1.9.2 (ecavazos)
  * Fixed the em-http request proxy (Joshua Hull)
  * Fix for oauth proxy string manipulation (Jakub Suder)
  * Added Bundler (rc) Gemfile for easier dev/testing
  * Added support for using OAuth with proxies (Marsh Gardiner)
  * Rails 3 Compatibility fixes (Pelle Braendgaard)
  * Fixed load errors on tests for missing (non-required) libraries
* Tue May 10 2011 visnov@suse.cz
- license is MIT
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 0.4.0
  - Added computation of oauth_body_hash as per OAuth Request Body
    Hash 1.0 Draft 4 (Michael Reinsch)
  - Added the optional `oauth_session_handle` parameter for the
    Yahoo implementation (Will Bailey)
  - Better marshalling implementation (Yoan Blanc)
  - Added optional block to OAuth::Consumer.get_*_token (Neill
    Pearman)
  - Exclude `oauth_callback` with :exclude_callback (Neill Pearman)
  - Strip extraneous spaces and line breaks from access_token
    responses (observed in the wild with Yahoo!'s OAuth+OpenID
    hybrid) (Eric Hartmann)
  - Stop double-escaping PLAINTEXT signatures (Jimmy Zimmerman)
  - OAuth::Client::Helper won't override the specified
    `oauth_version` (Philip Kromer)
  - Support for Ruby 1.9 (Aaron Quint, Corey Donahoe, et al)
  - Fixed an encoding / multibyte issue (成田 一生)
  - Replaced hoe with Jeweler (Aaron Quint)
  - Support for Typhoeus (Bill Kocik)
  - Support for em-http (EventMachine) (Darcy Laycock)
  - Support for curb (André Luis Leal Cardoso Junior)
  - New website (Aaron Quint)
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Sat Nov 14 2009 mrueckert@suse.de
- remove development requires from the spec
* Thu Oct  1 2009 mrueckert@suse.de
- update to version 0.3.6
  - Added -B CLI option to use the :body authentication scheme
    (Seth)
  - Respect `--method` in `authorize` CLI command (Seth)
  - Support POST and PUT with raw bodies (Yu-Shan Fung et al)
  - Test clean-up (Xavier Shay, Hannes Tydén)
  - Added :ca_file consumer option to allow consumer specific
    certificate override. (Pelle)
* Thu Aug 13 2009 aduffeck@suse.de
- initial package
